APIs / Facebook Ad Library / Filters
Facebook Ad Library: Filters
Filters from Facebook Ad Library as JSON. 1 credit per successful call.
GET /v1/facebook-ad-library/filtersNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
query | string | Optional | Up to 500 characters |
country | string | Optional | Up to 2 characters |
ad_type | string | Optional | ALL, POLITICAL_AND_ISSUE_ADS, CREDIT_ADS, FINANCIAL_PRODUCTS_AND_SERVICES_ADS, EMPLOYMENT_ADS, HOUSING_ADS, UNCATEGORIZED_ADS |
Example request
curl "https://api.perceptlayer.com/v1/facebook-ad-library/filters?country=DE" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.